#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	SDL2
Version		:	2.30.5
Release		:	17.0.10.rel%{?dist}
Summary		:	Simple DirectMedia Layer (Version 2.0)
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://www.libsdl.org

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	dbus-devel
BuildRequires	:	xorg-libXext

Requires	:	alsa-utils
Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
Simple DirectMedia Layer is a cross-platform development library designed
to provide low level access to audio, keyboard, mouse, joystick, and graphics
hardware via OpenGL and Direct3D. It is used by video playback software,
emulators, and popular games including Valve's award winning catalog
and many Humble Bundle games.

#-----------------------------------------------------------------------------
%files			
%doc README.md README-SDL.txt CREDITS.txt BUGS.txt
%license LICENSE.txt
%defattr(-,root,root,-)
%{_bindir}/sdl2-config
%{_includedir}/%{name}/SDL_*.h
%{_includedir}/%{name}/SDL.h
%{_includedir}/%{name}/*_code.h
%{_libdir}/cmake/%{name}/*-config.cmake
%{_libdir}/cmake/%{name}/*-config-version.cmake
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure							\
        --prefix=%{_prefix}					\
	--includedir=%{_includedir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sysconfdir=%{_sysconfdir}				\
        --bindir=%{_bindir}					\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static					\
	--disable-rpath						\
	--enable-alsa						\
	--enable-dbus						\

%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install



#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog

